Package owl.grammar

## Interface TLSFParserVisitor<T>

- Type Parameters:
    `T` - The return type of the visit operation. Use `Void` for operations with no return type.
  All Superinterfaces:
    `org.antlr.v4.runtime.tree.ParseTreeVisitor<T>`
  All Known Implementing Classes:
    `TLSFParserBaseVisitor`

      public interface TLSFParserVisitor<T>
      extends org.antlr.v4.runtime.tree.ParseTreeVisitor<T>

  This interface defines a complete generic visitor for a parse tree produced by `TLSFParser`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `visitInput​(TLSFParser.InputContext ctx)` | Visit a parse tree produced by `TLSFParser.input()`.
    `T` | `visitOutput​(TLSFParser.OutputContext ctx)` | Visit a parse tree produced by `TLSFParser.output()`.
    `T` | `visitSemantics​(TLSFParser.SemanticsContext ctx)` | Visit a parse tree produced by `TLSFParser.semantics()`.
    `T` | `visitSpecification​(TLSFParser.SpecificationContext ctx)` | Visit a parse tree produced by `TLSFParser.specification()`.
    `T` | `visitTarget​(TLSFParser.TargetContext ctx)` | Visit a parse tree produced by `TLSFParser.target()`.
    `T` | `visitTlsf​(TLSFParser.TlsfContext ctx)` | Visit a parse tree produced by `TLSFParser.tlsf()`.

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### visitTlsf

          T visitTlsf​(TLSFParser.TlsfContext ctx)

      Visit a parse tree produced by `TLSFParser.tlsf()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSemantics

          T visitSemantics​(TLSFParser.SemanticsContext ctx)

      Visit a parse tree produced by `TLSFParser.semantics()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTarget

          T visitTarget​(TLSFParser.TargetContext ctx)

      Visit a parse tree produced by `TLSFParser.target()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitInput

          T visitInput​(TLSFParser.InputContext ctx)

      Visit a parse tree produced by `TLSFParser.input()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitOutput

          T visitOutput​(TLSFParser.OutputContext ctx)

      Visit a parse tree produced by `TLSFParser.output()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitSpecification

          T visitSpecification​(TLSFParser.SpecificationContext ctx)

      Visit a parse tree produced by `TLSFParser.specification()`.
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result